Page MenuHomePhabricator

Make the Math extension usable without RESTbase or Mathoid installed
Closed, ResolvedPublic

Description

From T120383#1871587:

I don't understand how this code hopes to work in the world where #makeRestbaseCheckRequest fails because the server's dead, or not configured, or Mathoid is down, or… — what exactly is meant to return "details" and "error" if there's no response?

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Jdforrester-WMF triaged this task as Unbreak Now! priority.Dec 11 2015, 12:08 AM

This means, amongst other things, that you can't view/edit Math nodes on our private wikis, as you get

[2732f3d0] 2015-12-11 00:07:05: Fatal exception of type "MWException"

… or similar.

@Jdforrester-WMF, should we re-title this to be about private wikis, then?

@Jdforrester-WMF, should we re-title this to be about private wikis, then?

No. That's a relatively minor issue compared to all the third parties whose wikis you will break with this change.

This goes back to
https://gerrit.wikimedia.org/r/#/c/255950/
where we made the extension explicitly restbase dependent.
If that's not the way we want to go, we can also make the extension require restbase or texvccheck, or disable checks.
I think most reasonable for users, is only one dependency to a service that does the math rendering.
I think restbase is most suitable since, it can be used for other things as well.
Note that the math extension did depend on something ever since.

@Jdforrester-WMF what do you mean by "on our private wikis"?

Change 258426 had a related patch set (by Physikerwelt) published:
Make math usable without RESTbase

https://gerrit.wikimedia.org/r/258426

mobrovac lowered the priority of this task from Unbreak Now! to High.Dec 11 2015, 9:28 AM
mobrovac added a subscriber: mobrovac.

Lowering the priority since it does not affect WMF-run public wikis and work is in progress on this.

Change 258426 merged by jenkins-bot:
Make math usable without RESTbase

https://gerrit.wikimedia.org/r/258426

<physikerwelt____> hoo: What exactly do you mean by usable?
<hoo_> Save values, display them (no matter how rudimentary)
We could fall back to source rendering mode.

In a way @hoo added a new quality to the task;-)

GWicke lowered the priority of this task from High to Medium.Jan 28 2016, 12:41 AM
mobrovac assigned this task to Physikerwelt.

This ought to have been fixed. Resolving.